View Issue Details

IDProjectCategoryView StatusLast Update
0007075Anastasisanastasis-webuipublic2021-11-16 14:44
ReporterFlorian Dold Assigned Tosebasjm  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionGit master 
Target Version0.3.0Fixed in Version0.3.0 
Summary0007075: layout shift when loading anastasis-webui
DescriptionWhen loading the built version of anastasis-webui (e.g. the one hosted at https://webui.anastasis.lu/), there is some noticeable layout shift happening. It's both noticeable visually, as well as in the Performance tab of the dev tools.

Can we show some "loading" state instead, or somehow else avoid the layout shift via SSR of the initial app state?
TagsNo tags attached.

Activities

sebasjm

2021-11-12 18:50

developer   ~0018481

fixed in d6beefe6..50b9f216

Issue History

Date Modified Username Field Change
2021-11-05 19:04 Florian Dold New Issue
2021-11-05 19:04 Florian Dold Status new => assigned
2021-11-05 19:04 Florian Dold Assigned To => sebasjm
2021-11-12 18:50 sebasjm Status assigned => resolved
2021-11-12 18:50 sebasjm Resolution open => fixed
2021-11-12 18:50 sebasjm Fixed in Version => Git master
2021-11-12 18:50 sebasjm Note Added: 0018481
2021-11-16 14:44 Christian Grothoff Product Version => Git master
2021-11-16 14:44 Christian Grothoff Fixed in Version Git master => 0.3.0
2021-11-16 14:44 Christian Grothoff Target Version => 0.3.0